library(permute)
library(vegan)
setwd("C:/Users/Stratiomys/Dropbox/rubicon/New_setup/ANALYSIS/NMDS vegetation")
SpecRich<-read.table(file="Plant_Species_plot_averages_Ingleborough.txt", header=T)
Pitenv<-read.csv(file="Plot_averages_Ingleborough.csv", header=TRUE, dec=".",sep=",")


pit.mds<-metaMDS(SpecRich,"bray", permu=1000, zerodist="add", noshare=0)
pit.mds



ef1<-envfit(pit.mds,Pitenv,permu=1000)
plot(pit.mds, display="sites", xlim=c(-1.5,1.5),ylim=c(-1.45,1.45))
plot(ef1)
stems = colSums(SpecRich)
sel1<-orditorp(pit.mds, , dis="species", priority = stems, col="grey",pch="", cex=.8)

ordihull(pit.mds, group=Pitenv$grassland_type, show="ext", col ="blue", lty=1, cex=.8, label=TRUE)  
ordihull(pit.mds, group=Pitenv$grassland_type, show="int", col="green", lty=1,cex=.8, label=TRUE)
#ordihull(pit.mds, group=Pitenv$treatment, show="FS", col="purple", lty=1, cex=.8, label=TRUE)

#ordihull(pit.mds, group=Pitenv$croptype, show="Aardappel", col="black", lty=1, cex=.8, label=TRUE)
#ordihull(pit.mds, group=Pitenv$croptype, show="Erwt", col ="blue", lty=1, cex=.8, label=TRUE)  
#ordihull(pit.mds, group=Pitenv$croptype, show="Snijmais", col="green", lty=1,cex=.8, label=TRUE)
#ordihull(pit.mds, group=Pitenv$croptype, show="Zomergerst", col="purple", lty=1, cex=.8, label=TRUE)

#show all points
pit.mds$points

#with(Pitenv,ordiellipse(pit.mds,grazing, col="blue"))

#with(Pitenv, ordiellipse(pit.mds, a, kind = "sd", conf = 1 - 0.05/length(levels(a)), choices=1:2, label =TRUE))

#with(Pitenv,ordispider(pit.mds,grazing, col="green"))

#with(Pitenv,ordihull(pit.mds,veg_dom, col="red"))

##### subset####################

Pitfall<-read.table(file="species1.txt", header=T)
Pitenv<-read.csv(file="env2.csv", header=TRUE, dec=",",sep=";")


pit.mds<-metaMDS(Pitfall,"bray", permu=1000, zerodist="add", noshare=0)
pit.mds



ef1<-envfit(pit.mds,Pitenv,permu=1000)
plot(pit.mds,display="sites",xlim=c(-0.65,0.3),ylim=c(-0.4,0.4))
#plot(ef1)
stems = colSums(SpecRich)
sel1<-orditorp(pit.mds, dis="species", priority = stems, col="grey",pch="", cex=.8)


ordihull(pit.mds, group=Pitenv$age, show="0", col="black", lty=2, label=TRUE)
ordihull(pit.mds, group=Pitenv$age, show="10", col ="green", lty=1, label=TRUE)  
ordihull(pit.mds, group=Pitenv$age, show="25", col="orange", lty=2, label=TRUE)
ordihull(pit.mds, group=Pitenv$age, show="35", col="purple", lty=2, label=TRUE)
ordihull(pit.mds, group=Pitenv$age, show="45", col="blue", lty=2, label=TRUE)
ordihull(pit.mds, group=Pitenv$age, show="55", col="red", lty=2, label=TRUE)
ordihull(pit.mds, group=Pitenv$age, show="100", col="brown", lty=2, label=TRUE)


##### subset SHANNON ####################

Shannon<-read.table(file="shannon_species.txt", header=T)
Shannonenv<-read.csv(file="env1.csv", header=TRUE, dec=",",sep=";")

pit.mds<-metaMDS(Shannon,"bray", permu=1000, zerodist="add", noshare=0)
pit.mds

ef1<-envfit(pit.mds,Shannonenv,permu=1000)
plot(pit.mds,display="sites",xlim=c(-0.65,0.3),ylim=c(-0.4,0.4))
#plot(ef1)
stems = colSums(Shannon)
sel1<-orditorp(pit.mds, dis="species", priority = stems, col="grey",pch="", cex=.8)

ordihull(pit.mds, group=Shannonenv$age, show="0", col="black", lty=2, label=TRUE)
ordihull(pit.mds, group=Shannonenv$age, show="10", col ="green", lty=1, label=TRUE)  
ordihull(pit.mds, group=Shannonenv$age, show="25", col="orange", lty=2, label=TRUE)
ordihull(pit.mds, group=Shannonenv$age, show="35", col="purple", lty=2, label=TRUE)
ordihull(pit.mds, group=Shannonenv$age, show="45", col="blue", lty=2, label=TRUE)
ordihull(pit.mds, group=Shannonenv$age, show="55", col="red", lty=2, label=TRUE)
ordihull(pit.mds, group=Shannonenv$age, show="100", col="brown", lty=2, label=TRUE)

#show all points
pit.mds$points

with(Pitenv,ordiellipse(pit.mds,grazing, col="blue"))

with(Pitenv, ordiellipse(pit.mds, a, kind = "sd", conf = 1 - 0.05/length(levels(a)), choices=1:2, label =TRUE))

with(Pitenv,ordispider(pit.mds,grazing, col="green"))



with(Pitenv,ordihull(pit.mds,veg_dom, col="red"))

##### subset EVENNESS ####################

Evenness<-read.table(file="evenness_species.txt", header=T)
Evennesenv<-read.csv(file="env1.csv", header=TRUE, dec=",",sep=";")

pit.mds<-metaMDS(Evenness,"bray", permu=1000, zerodist="add", noshare=0)
pit.mds

ef1<-envfit(pit.mds,Evennesenv,permu=1000)
plot(pit.mds,display="sites",xlim=c(-0.65,0.3),ylim=c(-0.4,0.4))
#plot(ef1)
stems = colSums(Evenness)
sel1<-orditorp(pit.mds, dis="species", priority = stems, col="grey",pch="", cex=.8)


ordihull(pit.mds, group=Evennesenv$age, show="0", col="black", lty=2, label=TRUE)
ordihull(pit.mds, group=Evennesenv$age, show="10", col ="green", lty=1, label=TRUE)  
ordihull(pit.mds, group=Evennesenv$age, show="25", col="orange", lty=2, label=TRUE)
ordihull(pit.mds, group=Evennesenv$age, show="35", col="purple", lty=2, label=TRUE)
ordihull(pit.mds, group=Evennesenv$age, show="45", col="blue", lty=2, label=TRUE)
ordihull(pit.mds, group=Evennesenv$age, show="55", col="red", lty=2, label=TRUE)
ordihull(pit.mds, group=Evennesenv$age, show="100", col="brown", lty=2, label=TRUE)

#show all points
pit.mds$points
